| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Broadcast to vector
Vector Conversions » Broadcast

## Overview

Broadcasts input value to all vector lanes (alternative syntax to broadcast from scalar)

## Functions
v128int4 | broadcast_to_v128int4 (v16int4 b)
v128int4 | broadcast_to_v128int4 (v2int4 b)
v128int4 | broadcast_to_v128int4 (v4int4 b)
v128int4 | broadcast_to_v128int4 (v8int4 b)
v128uint4 | broadcast_to_v128uint4 (v16uint4 b)
v128uint4 | broadcast_to_v128uint4 (v2uint4 b)
v128uint4 | broadcast_to_v128uint4 (v4uint4 b)
v128uint4 | broadcast_to_v128uint4 (v8uint4 b)
v16accfloat | broadcast_to_v16accfloat (float b)
v16cint16 | broadcast_to_v16cint16 (cint16 b)
v16cint16 | broadcast_to_v16cint16 (v2cint16 b)
v16float | broadcast_to_v16float (float b)
v16int32 | broadcast_to_v16int32 (int b)
v16int32 | broadcast_to_v16int32 (unsigned long long b)
v16int32 | broadcast_to_v16int32 (v2int32 b)
v16uint32 | broadcast_to_v16uint32 (unsigned int b)
v16uint32 | broadcast_to_v16uint32 (unsigned long long b)
v16uint32 | broadcast_to_v16uint32 (v2uint32 b)
v32bfloat16 | broadcast_to_v32bfloat16 (bfloat16 b)
v32bfloat16 | broadcast_to_v32bfloat16 (v2bfloat16 b)
v32bfloat16 | broadcast_to_v32bfloat16 (v4bfloat16 b)
v32int16 | broadcast_to_v32int16 (int b)
v32int16 | broadcast_to_v32int16 (v2int16 b)
v32int16 | broadcast_to_v32int16 (v4int16 b)
v32uint16 | broadcast_to_v32uint16 (unsigned int b)
v32uint16 | broadcast_to_v32uint16 (v2uint16 b)
v32uint16 | broadcast_to_v32uint16 (v4uint16 b)
v64int8 | broadcast_to_v64int8 (int b)
v64int8 | broadcast_to_v64int8 (v2int8 b)
v64int8 | broadcast_to_v64int8 (v4int8 b)
v64int8 | broadcast_to_v64int8 (v8int8 b)
v64uint8 | broadcast_to_v64uint8 (unsigned int b)
v64uint8 | broadcast_to_v64uint8 (v2uint8 b)
v64uint8 | broadcast_to_v64uint8 (v4uint8 b)
v64uint8 | broadcast_to_v64uint8 (v8uint8 b)
v8cint32 | broadcast_to_v8cint32 (cint32 b)

## Function Documentation

## ◆ broadcast_to_v128int4() [1/4]

v128int4 broadcast_to_v128int4 | ( | v16int4 | b | ) |

## ◆ broadcast_to_v128int4() [2/4]

v128int4 broadcast_to_v128int4 | ( | v2int4 | b | ) |

## ◆ broadcast_to_v128int4() [3/4]

v128int4 broadcast_to_v128int4 | ( | v4int4 | b | ) |

## ◆ broadcast_to_v128int4() [4/4]

v128int4 broadcast_to_v128int4 | ( | v8int4 | b | ) |

## ◆ broadcast_to_v128uint4() [1/4]

v128uint4 broadcast_to_v128uint4 | ( | v16uint4 | b | ) |

## ◆ broadcast_to_v128uint4() [2/4]

v128uint4 broadcast_to_v128uint4 | ( | v2uint4 | b | ) |

## ◆ broadcast_to_v128uint4() [3/4]

v128uint4 broadcast_to_v128uint4 | ( | v4uint4 | b | ) |

## ◆ broadcast_to_v128uint4() [4/4]

v128uint4 broadcast_to_v128uint4 | ( | v8uint4 | b | ) |

## ◆ broadcast_to_v16accfloat()

v16accfloat broadcast_to_v16accfloat | ( | float | b | ) |

## ◆ broadcast_to_v16cint16() [1/2]

v16cint16 broadcast_to_v16cint16 | ( | cint16 | b | ) |

## ◆ broadcast_to_v16cint16() [2/2]

v16cint16 broadcast_to_v16cint16 | ( | v2cint16 | b | ) |

## ◆ broadcast_to_v16float()

v16float broadcast_to_v16float | ( | float | b | ) |

## ◆ broadcast_to_v16int32() [1/3]

v16int32 broadcast_to_v16int32 | ( | int | b | ) |

## ◆ broadcast_to_v16int32() [2/3]

v16int32 broadcast_to_v16int32 | ( | unsigned long long | b | ) |

## ◆ broadcast_to_v16int32() [3/3]

v16int32 broadcast_to_v16int32 | ( | v2int32 | b | ) |

## ◆ broadcast_to_v16uint32() [1/3]

v16uint32 broadcast_to_v16uint32 | ( | unsigned int | b | ) |

## ◆ broadcast_to_v16uint32() [2/3]

v16uint32 broadcast_to_v16uint32 | ( | unsigned long long | b | ) |

## ◆ broadcast_to_v16uint32() [3/3]

v16uint32 broadcast_to_v16uint32 | ( | v2uint32 | b | ) |

## ◆ broadcast_to_v32bfloat16() [1/3]

v32bfloat16 broadcast_to_v32bfloat16 | ( | bfloat16 | b | ) |

## ◆ broadcast_to_v32bfloat16() [2/3]

v32bfloat16 broadcast_to_v32bfloat16 | ( | v2bfloat16 | b | ) |

## ◆ broadcast_to_v32bfloat16() [3/3]

v32bfloat16 broadcast_to_v32bfloat16 | ( | v4bfloat16 | b | ) |

## ◆ broadcast_to_v32int16() [1/3]

v32int16 broadcast_to_v32int16 | ( | int | b | ) |

## ◆ broadcast_to_v32int16() [2/3]

v32int16 broadcast_to_v32int16 | ( | v2int16 | b | ) |

## ◆ broadcast_to_v32int16() [3/3]

v32int16 broadcast_to_v32int16 | ( | v4int16 | b | ) |

## ◆ broadcast_to_v32uint16() [1/3]

v32uint16 broadcast_to_v32uint16 | ( | unsigned int | b | ) |

## ◆ broadcast_to_v32uint16() [2/3]

v32uint16 broadcast_to_v32uint16 | ( | v2uint16 | b | ) |

## ◆ broadcast_to_v32uint16() [3/3]

v32uint16 broadcast_to_v32uint16 | ( | v4uint16 | b | ) |

## ◆ broadcast_to_v64int8() [1/4]

v64int8 broadcast_to_v64int8 | ( | int | b | ) |

## ◆ broadcast_to_v64int8() [2/4]

v64int8 broadcast_to_v64int8 | ( | v2int8 | b | ) |

## ◆ broadcast_to_v64int8() [3/4]

v64int8 broadcast_to_v64int8 | ( | v4int8 | b | ) |

## ◆ broadcast_to_v64int8() [4/4]

v64int8 broadcast_to_v64int8 | ( | v8int8 | b | ) |

## ◆ broadcast_to_v64uint8() [1/4]

v64uint8 broadcast_to_v64uint8 | ( | unsigned int | b | ) |

## ◆ broadcast_to_v64uint8() [2/4]

v64uint8 broadcast_to_v64uint8 | ( | v2uint8 | b | ) |

## ◆ broadcast_to_v64uint8() [3/4]

v64uint8 broadcast_to_v64uint8 | ( | v4uint8 | b | ) |

## ◆ broadcast_to_v64uint8() [4/4]

v64uint8 broadcast_to_v64uint8 | ( | v8uint8 | b | ) |

## ◆ broadcast_to_v8cint32()

v8cint32 broadcast_to_v8cint32 | ( | cint32 | b | ) |